Subject: [VRRP] draft-zhou-pim-vrrp-01

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 22 May 2013 17:10:45 +0100

Hello VRRP list,

Please be aware of this work in the PIM working group and comment there if you
have an opinion.

Thanks,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Mike
> McBride
> Sent: 22 May 2013 07:17
> To: Xuxiaohu; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Cc: Mike McBride; [email-masked]
> Subject: Re: [pim] call for adoption: draft-zhou-pim-vrrp-01
> 
> Folks,
> 
> We have this new draft-zhou-pim-vrrp-01 which we are about to adopt
> into the pim wg. It has been brought to the WGs attention that there
> is a older draft (draft-xu-pim-drpriority-auto-adjustment-03) which
> may have some overlap with the new one. That older draft does contain
> information about VRRP aware PIM which is attributed to Stig in the
> acknowledgements. If the five of you authors feel that there is some
> validity that the older draft contains some information being used in
> the new draft, you may want to acknowledge that in the references or
> acknowledgements. It appears the drafts are dissimilar enough to not
> be merged but I may be wrong. Please share your opinions on this so we
> can establish consensus within the group and move the document along.
> 
> If the broader WG participants have an opinion on this please speak up.
> 
> thanks,
> mike
> 
> On Thu, May 9, 2013 at 7:32 PM, Xuxiaohu <[email-masked]> wrote:
> > Hi all,
> >
> > This draft reminds me that there has been a draft
> (http://tools.ietf.org/html/draft-xu-pim-drpriority-auto-adjustment-03) three
> years before which uses almost the same technology to save almost the same
> problem.
> >
> > The following is quoted from the above draft:
> >
> >    "In fact, if VRRP is run on the PIM routers and the VRRP has enabled
> >    the upstream link tracking mechanism, the PIM DR failover mechanism
> >    could be coupled with the VRRP so as to reuse the upstream link
> >    tracking mechanism of VRRP. One option is to synchronize the PIM DR
> >    priority value to the VRRP priority value always. In this way, the
> >    PIM DR and the VRRP master will always run on an identical router if
> >    the VRRP Preempt_Mode is set to True. Another option is to make the
> >    PIM DR and the VRRP master run on an identical router anyway (i.e.,
> >    regardless whether or not the VRRP Preempt_Mode is True). To achieve
> >    this goal, the PIM DR priority of the VRRP master router SHOULD
> >    always be set to a higher fixed value than that of the VRRP slave
> >    router automatically."
> >
> > Best regards,
> > Xiaohu
> >
> >> -----邮件原件-----
> >> 发件人: [email-masked] [mailto:[email-masked]] 代表 Mike
> >> McBride
> >> 发送时间: 2013年5月10日 3:48
> >> 收件人: [email-masked]
> >> 主题: [pim] call for adoption: draft-zhou-pim-vrrp-01
> >>
> >> draft-zhou-pim-vrrp-01 was presented in our most recent pim meeting in
> >> Orlando. 4 people were in favor of adopting the draft. Zero against.
> >> Please read the draft (its short) and provide an opinion either way by
> >> the end of next Friday the 17th.
> >>
> >> http://www.ietf.org/id/draft-zhou-pim-vrrp-01.txt
> >>
> >> thanks,
> >> mike
> >> _______________________________________________
> >> pim mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/pim
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim